Subject: Mixing Unix and WIN32?
From: [email-masked] (Randy Campbell)

17 Oct 1998 01:52:43 -0700
Message-ID: <[email-masked]>
Reply-To: "Randy Campbell" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Why doesn't this work?

I am trying to build a toy applicatin to prove that I can do this in
CygWIN32.
(so far, I can't).

It's an RPC-based program, so it needs to access WIN32 headers and
libraries.

It keeps stumbling over things that the gnu compiler apparently doesn't know
about:
    - like __asm.   OK, I worked around that (I think)
     - like __try:    The IDL compiler (midl) puts exception handling in the
stub code
            it generates, using, e.g. a macro name RpcTryFinally, which is
defined
            in rpc.h to "__try {".  This comes up as an undefined reference.

I'm doing comparative evaluations, and this stuff just builds snicker-snack,
as my
old prof used to say, in U/WIN.

Why can't I get it to work in CygWIN32?  What am I missing?

Thanks,
Randy

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".